Summary: A set of GNU Interactive Tools.
Name: git
Version: 4.3.20
Release: 6
Copyright: GNU
URL: http://www.gnu.org/software/git/git.html
Group: Applications/File
Source: ftp://ftp.gnu.org/pub/gnu/git/git-%{version}.tar.gz
Buildroot: %{_tmppath}/%{name}-%{version}-root
Prereq: /sbin/install-info perl

%description
GIT (GNU Interactive Tools) provides an extensible file system
browser, an ASCII/hexadecimal file viewer, a process viewer/killer and
other related utilities and shell scripts.  GIT can be used to
increase the speed and efficiency of copying and moving files and
directories, invoking editors, compressing and uncompressing files,
creating and expanding archives, compiling programs, and sending mail.
GIT uses standard ANSI color sequences, if they are available.

You should install the git package if you are interested in using its
file management capabilities.

%prep
%setup -q

%build

perl -pi -e "s/^AC_CONFIG_AUX_DIR$//" configure.in
%configure --with-terminfo
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
gzip -9nf $RPM_BUILD_ROOT%{_infodir}/git.info*

%files
%defattr(-,root,root)
%doc COPYING ChangeLog LSM NEWS PLATFORMS PROBLEMS README INSTALL
/usr/bin/*
/usr/bin/.gitaction
%{_mandir}/*/*
%{_infodir}/git*
/usr/share/git/.gitrc*
%docdir /usr/lib/git/html

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info %{_infodir}/git.info.gz %{_infodir}/dir

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/git.info.gz %{_infodir}/dir
fi

%changelog
* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 17 2000 Tim Powers <timp@redhat.com>
- added defattr

* Wed Jul 12 2000 Than Ngo <than@redhat.de>
- rebuilt

* Sat Jun 10 2000 Trond Eivind Glomsrd <teg@redhat.com>
- use %%configure, %%makeinstall, %%{_tmppath},
  %%{_infodir}  and %%{_mandir}
- remove line from configure.in to make it build

* Wed May 10 2000 Trond Eivind Glomsrd <teg@redhat.com>
- added URL
- let build system handle stripping

* Thu Mar 23 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- 4.3.20

* Fri Feb  4 2000 Matt Wilson <msw@redhat.com>
- only get /usr/info/get* to avoid pulling in dir

* Thu Feb 03 2000 Cristian Gafton <gafton@redhat.com>
- version 4.3.19
- man pages are compressed

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build against glibc 2.1

* Wed May 06 1998 Cristian Gafton <gafton@redhat.com>
- Fixed the dumb requirement for /usr/lib/git/term

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- updated to 4.3.17

* Wed Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- added BuildRoot to spec file; added the path-correction patch
- added info file handling

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>
- built against readline library w/ proper soname

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Thu Mar 20 1997 Michael Fulbright <msf@redhat.com>
- Updated to v. 4.3.16

